--[[
	Harvester_Register.lua
	
	Autor: Ifko[nator] bearbeitet von t0xic0m
	Datum: 10.04.2016
]]

SpecializationUtil.registerSpecialization("Harvester", "Harvester", g_currentModDirectory.."Harvester.lua")

Harvester_Register = {};

function Harvester_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					-- Standard lua's
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("woodHarvester") then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							-- Mod lua's (nicht im dataS Ordner!)
							if rawget(SpecializationUtil.specializations, string.format("%s.Harvester", _name)) ~= nil then
								allowInsertion = false;
							end;
						end;
						if allowInsertion then
							table.insert(v.specializations, SpecializationUtil.getSpecialization("Harvester"));
						end;
					end;
				end;
			end;	
		end;
	end;
end;

function Harvester_Register:deleteMap()end;
function Harvester_Register:keyEvent(unicode, sym, modifier, isDown)end;
function Harvester_Register:mouseEvent(posX, posY, isDown, isUp, button)end;
function Harvester_Register:update(dt)end;
function Harvester_Register:draw()end;

addModEventListener(Harvester_Register);